Xojo Conferences
XDCMay2019MiamiUSA

Re: [MBS] MBS 7.5 with RB2010r4.1 (MBS Xojo Plugin Mailinglist archive)

Back to the thread list
Next thread: [MBS] [ANN] 10.6pr6


[MBS] [ANN] 10.6pr6   -   Christian Schmitz
  Re: [MBS] MBS 7.5 with RB2010r4.1   -   Christian Schmitz
    [MBS] MBS 7.5 with RB2010r4.1   -   Garth Hjelte
     [MBS] PackCursResource question   -   Arnaud Nicolet

Re: [MBS] MBS 7.5 with RB2010r4.1
Date: 30.11.10 20:58 (Tue, 30 Nov 2010 20:58:57 +0100)
From: Christian Schmitz

Am 30.11.2010 um 20:37 schrieb Garth Hjelte:

> So, coming to MBS, I still use 7.5 and am in the same situation;
> there really isn't anything in 10.6 that I really need or want,

Really?

Since 7.6 we added 710 new classes and 18604 new features.

> the exception being the LoadSoundFont in MidiPlaybackMBS. BTW, is that
> Mac only or Mac and Windows?

This class is Mac OS X only. I think for Windows you can do the same with the midi classes there by using a special virtual playback device.

You can check the midi plugin parts:

Mac only:
http://www.monkeybreadsoftware.net/pluginpart-midiplayback.shtml
and
http://www.monkeybreadsoftware.net/pluginpart-midi.shtml

Windows only:
http://www.monkeybreadsoftware.net/pluginpart-windowsmidi.shtml

Crossplatform:
http://www.monkeybreadsoftware.net/pluginpart-portmidi.shtml

> So, I fired up RB2010 with MBS7.5, and perhaps it's not compatible?

Correct. REAL Software changes too much to keep plugins forward compatible.

I have a table on versions supported:
http://www.monkeybreadsoftware.de/realbasic/rbversion.shtml

So your 7.6 plugins broke with the releases of REAL Studio 2008r1, 2008r2, 2009r1, 2009r4, 2010r3 and now with the betas of 2010r5.
To stay up to date with newer REAL Studio plugins you have to keep updating plugins.

> Now I get a hard error IOWarriorClassicMBS.RemoveHandler.

Without warning or notice, REAL Software made RemoveHandler a keyword. All plugins using this word for any reason broke. That happened earlier with other words like "Attributes".

> Forgive me for "sounding" cheap, and I probably will spring for MBS
> 10.6 for other reasons such as what I mentioned above, but I just
> don't buy anything unless I'm sure its a necessary purpose.

It's necessary.

Greetings
Christian

[MBS] MBS 7.5 with RB2010r4.1
Date: 30.11.10 20:37 (Tue, 30 Nov 2010 13:37:25 -0600)
From: Garth Hjelte
So, I finally got the latest REALBasic 2010r4.1 Windows, in
anticipation for upgrading. I should say that there isn't much that
compels me to update - I can do pretty much everything I want with
RB2007r5. There are a couple things though, so I'll be working with
my software behind the scenes getting it ready for RB2010 while still
doing my releases on RB2007. One day when I'm comfortable with 2010
and am convinced that it's solid with my code, I'll flip the switch.
Better to do all this in a comfortable environment where there is
nothing pressing the new platform.

So, coming to MBS, I still use 7.5 and am in the same situation;
there really isn't anything in 10.6 that I really need or want, the
exception being the LoadSoundFont in MidiPlaybackMBS. BTW, is that
Mac only or Mac and Windows? If it's Windows, does QT have to be
installed, or did you use something else under the hood?

So, I fired up RB2010 with MBS7.5, and perhaps it's not compatible? I
first tried it with a nothing app, and I got a hard error in the
Cocoa plug in (which surprised me since I'm not building for Mac on
Windows). So I removed the Cocoa, Mac, and Mac OSX plugs. Now I get a
hard error IOWarriorClassicMBS.RemoveHandler.

Can I use MBS 7.5 in RB 2010 Windows, and if so, how?

Forgive me for "sounding" cheap, and I probably will spring for MBS
10.6 for other reasons such as what I mentioned above, but I just
don't buy anything unless I'm sure its a necessary purpose.

Garth Hjelte
Sampler User

_______________________________________________
Mbsplugins_monkeybreadsoftware.info mailing list
<email address removed>
https://ml01.ispgateway.de/mailman/listinfo/mbsplugins_monkeybreadsoftware.info